import React from 'react';
import { AieStyleMap } from '../aie';
import { AioExternalReplacements, AioExternalSingle } from '../aio';
import './ait.css';
import { AitRowGroupData, AitTableData } from './aitInterface';
interface AsupInternalTableProps {
    id: string;
    tableData: AitTableData;
    isEditable?: boolean;
    setTableData?: (ret: AitTableData) => void;
    processedDataRef?: React.MutableRefObject<AitTableData | undefined>;
    externalLists?: AioExternalReplacements[];
    externalSingles?: AioExternalSingle[];
    style?: React.CSSProperties;
    showCellBorders?: boolean;
    groupTemplates?: AitRowGroupData[] | false;
    commentStyles?: AieStyleMap;
    cellStyles?: AieStyleMap;
    colWidthMod?: number;
    initialDecimalAlignPercent?: number;
    defaultCellWidth?: number;
    noTableOptions?: boolean;
}
/**
 * Table view for clinical table data
 * @param props
 * @returns
 */
export declare const AsupInternalTable: ({ id, tableData, isEditable, setTableData, processedDataRef, externalLists, externalSingles, style, showCellBorders, groupTemplates, commentStyles, cellStyles, colWidthMod, initialDecimalAlignPercent, defaultCellWidth, noTableOptions, }: AsupInternalTableProps) => React.JSX.Element;
export {};
